package com.sunxung.factoring.service.purchcontractmanagement;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSignConclusion;
import org.springframework.ui.Model;

/**
 * <p>
 * 采购合同 合同的签署结论 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-03-14
 */
public interface IPurchContractSignConclusionService extends IService<PurchContractSignConclusion> {


    /**
     * 查询信息、用于历史列表展示
     * 线下签署
     * @param id
     * @return
     */
    PurchContractSignConclusion getView(Long id);


    /**
     * 签署页面
     * @param businessKey
     * @return
     */
    PurchContractSignConclusion signPage(Long businessKey);

    /**
     * 签署确认
     * @param purchContractSignConclusion
     */
    void sign(PurchContractSignConclusion purchContractSignConclusion);

}
